Subject: Re: [PATCH v2] powerpc/usb: fix bug of CPU hang when missing USB PHY clock

From: Greg KH <[email-masked]>
Date: Tue, 18 Sep 2012 15:34:28 +0100

On Tue, Sep 18, 2012 at 12:35:09AM -0500, Kumar Gala wrote:
> 
> On Aug 22, 2012, at 5:17 AM, Shengzhou Liu wrote:
> 
> > when missing USB PHY clock, kernel booting up will hang during USB
> > initialization. We should check USBGP[PHY_CLK_VALID] bit to avoid
> > CPU hanging in this case.
> > 
> > Signed-off-by: Shengzhou Liu <[email-masked]>
> > ---
> > v2 changes: use spin_event_timeout() instead.
> > 
> > drivers/usb/host/ehci-fsl.c |   58 +++++++++++++++++++++++++++++-------------
> > drivers/usb/host/ehci-fsl.h |    1 +
> > include/linux/fsl_devices.h |    1 +
> > 3 files changed, 42 insertions(+), 18 deletions(-)
> 
> Greg,
> 
> Any issues picking this fix up for v3.6 inclusion?

Yes, I will not as there is a v3 out there that I want some review on
before I can take it...

thanks,

greg k-h